XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Resolves external XML resources named by a URI.

This class is used to resolve external XML resources such as entities, document type definitions (DTDs), or schemas. It is also used to process include and import elements found in Extensible StyleSheet Language (XSL) stylesheets or XML Schema Definition language (XSD) schemas.

This class is and implemented in the class.

- Constructor
  Constructs a new instance of the class.
  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.ICredentials

  Sets the credentials used to authenticate Web requests.

  A instance containing the credentials.

  This property sets the credentials used to authenticate Web requests. If the virtual directory is configured to allow anonymous access, this property does not need to be set. Otherwise, the credentials of the user must be supplied. If credentials are needed but not supplied, the

  class uses default credentials ().

  This property is write-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  See for an example using this property.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` `` An instance of the class containing an absolute URI. A containing the xlink:role, or used as an implementation specific argument in other scenarios. To be added.

  Maps a URI to an object containing the actual resource that the URI represents.

  A containing the resource.

  As described above.

  At a minimum, supporting the return of a object is required.

  is . is not a supported type. is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Uri `` `` The specifying the base URI used to resolve .

  A specifying the URI to resolve. The URI can be absolute or relative.

  Resolves the absolute URI from the base and relative URIs.

  A containing the absolute URI, or if can not be resolved.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  and are . and are . 0 1.0.5000.0 2.0.0.0
0